<?php
if (isset($tpl['status']))
{
	$status = __('status', true);
	switch ($tpl['status'])
	{
		case 2:
			pjUtil::printNotice(NULL, $status[2]);
			break;
	}
} else {
	if (isset($_GET['err']))
	{
		$titles = __('error_titles', true);
		$bodies = __('error_bodies', true);
		pjUtil::printNotice(@$titles[$_GET['err']], @$bodies[$_GET['err']]);
	}
	?>
	<?php include_once PJ_VIEWS_PATH . 'pjLayouts/elements/optmenu.php'; ?>
	<form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="get" class="float_left">
		<input type="hidden" name="controller" value="pjAdminFilters" />
		<input type="hidden" name="action" value="pjActionCreate" />
		<input type="submit" class="pj-button" value="<?php __('btnAddFilter'); ?>" />
		<p>&nbsp;</p>
	</form>
	
	<form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="get" class="float_right">
		<input type="hidden" name="controller" value="pjAdminFilters" />
		<input type="hidden" name="action" value="pjActionIndex" />
		<p>
			<select id="filter_by_type" name="type" class="pj-form-field w300">
				<option value="">-- <?php __('lblAllTypes');?> --</option>
				<?php
				foreach(__('filter_types', true) as $k => $v)
				{
					?><option value="<?php echo $k;?>"<?php echo isset($_GET['type']) ? ($_GET['type'] == $k ? ' selected="selected"' : NULL) : NULL;?>><?php echo $v;?></option><?php
				} 
				?>
			</select>
		</p>
	</form>
	<div class="clear_both"></div>
	
	<div id="grid"></div>
	<script type="text/javascript">
	var pjGrid = pjGrid || {};
	
	pjGrid.queryString = "";
	<?php
	if (isset($_GET['type']) && $_GET['type'] != '')
	{
		?>pjGrid.queryString += "&type=<?php echo $_GET['type']; ?>";<?php
	}
	?>
	var myLabel = myLabel || {};
	myLabel.filter_type = "<?php __('lblFilterType'); ?>";
	myLabel.filter_name = "<?php __('lblFilterName'); ?>";
	myLabel.order = "<?php __('lblOrder'); ?>";
	myLabel.status = "<?php __('lblStatus'); ?>";
	myLabel.active = "<?php __('lblActive'); ?>";
	myLabel.inactive = "<?php __('lblInactive'); ?>";
	myLabel.delete_confirmation = "<?php __('lblDeleteConfirmation'); ?>";
	myLabel.delete_selected = "<?php __('lblDeleteSelected'); ?>";
	</script>
	<?php
}
?>